ENT.Type = "anim"
ENT.RenderGroup = RENDERGROUP_BOTH

function ENT:SharedInit()
	self.text = self.text or ""
	self.font = self.font or "DermaDefault"
	self.scale = self.scale or 1
	self.bgcolor = self.bgcolor or Color(0, 0, 0, 255)
	self.fgcolor = self.fgcolor or Color(255, 255, 255, 255)
	self.valign = self.valign or 0.5
	self.halign = self.halign or 0.5
end